// (C) Copyright 1993, 94 by Heiko Damerow MPG AG "Roentgenbeugung"
// Datei m_data.h
//! Erweiterung, Kommentierung Bernhard Buss, IfI

#ifndef __M_DATA_H
#define __M_DATA_H

//! neuer Modaldialog fuer freie Intensitaetskalierung
class TCurveFreeScal : public TModalDlg
{
    friend class TCurveFreeScalColor;
public:
    TCurveFreeScal( TMDIWindow * );
protected:

    //! Funktionen die den Dialog steuern...
    void Dlg_OnCommand( HWND, int, HWND, UINT );
    BOOL Dlg_OnInit( HWND, HWND, LPARAM );
    BOOL CanClose( void );
    BOOL LeaveDialog( void );

private:

    //! zum Speichern der RessourcenIDs
    int FarbeId[8];
    int BereichId[8];
    //! Plotdaten werden gebraucht
    TPlotData* PlotWindow;
};

class TCurveFreeScalColor : public TMDIWindow
{
public:

    //! Konstruktor
    TCurveFreeScalColor(TMDIWindow*);

    //! Destruktor
    ~TCurveFreeScalColor(void);

    //! Titel setzen
    virtual BOOL SetTitle();

    //! Fenster kreieren (ueberladene Funktion)
    virtual void Create(HWND hwnd);

    //! eigene Paint-Funktion (ueberladene Funktion) WinAPI
    void Paint(HDC,PAINTSTRUCT *);
protected:

    //! zeichne Farblegende
    void DrawColorTable(HDC);

    //! Zeiger auf TPlotData-Objekt
    TPlotData* PlotWindow;
};


#endif
// __M_DATA_H
// __LastLine__
