/*
Datei     : hwio.cpp
Projekt   : XCTL
Subsystem : Detektoren
Autor     : Jan Picard <picard@informatik.hu-berlin.de> 2001-2001
						Institut fuer Informatik,
						Humboldt-Universitaet Berlin
Inhalt    : Implementation der Klasse TIOPort
*/


#include <conio.h>
#include  "hwio.h"

TIOPort::TIOPort(unsigned int p) : port(p) {};

//inline
int TIOPort::readByte( void )
{
  return inp(port);
};

//inline
unsigned short TIOPort::readWord( void )
{
  return inpw(port);
};

/*
//inline
unsigned long TIOPort::readDWord( void )
{
  return inpd(port);
};
*/

//inline
void TIOPort::writeByte( int d)
{
  outp(port, d);
};

//inline
void TIOPort::writeWord( unsigned short d)
{
  outpw(port, d);
};

/*
//inline
void TIOPort::writeDWord( unsigned long d)
{
  outpd(port, d);
};
*/
